<?php
	session_start();
    $idusuario = $_SESSION['idusuario']; 
    $idsp = $_SESSION['idsp'];
    $id_daientrada = $_SESSION['id_daientrada'];
	$condicion = 1;
	$regimen = 70;
	$estado =1;
	$cantidad =1;
	$id_ubicacion =1;
	
	$actividad = "Ingreso de Dai";
		
	$my_ip = $_SERVER["REMOTE_ADDR"]; 
	date_default_timezone_set('America/Guayaquil');
	$fecha_actual = date('Y/m/d');
	$time_actual =date("H:m:s");
	
	include ("../conex.php");

	include "class.upload.php";

	$consultadai = mysqli_query($conn,"select id_bodega
								from tb_usuario 
								where idusuario = $idusuario");
								
    if($row = mysqli_fetch_array($consultadai))
    {
        $id_bodega = $row['id_bodega'];       
	}
	
	if(isset($_FILES["name"]))
	{
		
		$up = new Upload($_FILES["name"]);
		if($up->uploaded)
		{
			$up->Process("./uploads/");
			if($up->processed)
			{
				/// leer el archivo excel
				require_once 'PHPExcel/Classes/PHPExcel.php';
				$archivo = "uploads/".$up->file_dst_name;
				$inputFileType = PHPExcel_IOFactory::identify($archivo);
				$objReader = PHPExcel_IOFactory::createReader($inputFileType);
				$objPHPExcel = $objReader->load($archivo);
				$sheet = $objPHPExcel->getSheet(0); 
				$highestRow = $sheet->getHighestRow(); 
				$highestColumn = $sheet->getHighestColumn();
				for ($row = 3; $row <= $highestRow; $row++)
				{ 
					$x_item = $sheet->getCell("A".$row)->getValue();
					$x_descripcion = $sheet->getCell("F".$row)->getValue();
					$x_modelo = $sheet->getCell("N".$row)->getValue();
					$x_marca = $sheet->getCell("O".$row)->getValue();
					$x_otras = $sheet->getCell("Q".$row)->getValue();
					$x_adiciones = $sheet->getCell("AC".$row)->getValue();
					$x_fobu = $sheet->getCell("AD".$row)->getValue();
					$x_fobi = $sheet->getCell("AE".$row)->getValue();
					$x_transporte = $sheet->getCell("AF".$row)->getValue();
					$x_seguro = $sheet->getCell("AG".$row)->getValue();
					$x_chasis = $sheet->getCell("AS".$row)->getValue();
					$x_motor = $sheet->getCell("AT".$row)->getValue();
					$x_color = $sheet->getCell("AV".$row)->getValue();
					$x_valoraduana = $sheet->getCell("AI".$row)->getValue();
					$x_otra = substr( $x_otras, -4 );       // Devuelve: "[2023]"
				    $sql = "insert into tb_datadai (id_daientrada,item, descripcion, modelo, marca, otras, adiciones, fobunitario, fobitem, transporte, seguro, chasis, motor, color, id_solicitudprevia, dai, valoraduana, id_estado, cantidad, condicion, id_ubicacion, id_bodega, created_at) value ";
					$sql.= " (\"$id_daientrada\",\"$x_item\",\"$x_descripcion\",\"$x_modelo\",\"$x_marca\",\"$x_otra\",\"$x_adiciones\",\"$x_fobu\",\"$x_fobi\",\"$x_transporte\",\"$x_seguro\",\"$x_chasis\",\"$x_motor\",\"$x_color\",\"$idsp\",\"$regimen\",\"$x_valoraduana\",\"$estado\",\"$cantidad\",\"$condicion\",\"$id_ubicacion\",\"$id_bodega\", NOW())";
					$conn->query($sql);
					
					$sql_id = mysqli_query($conn,"SELECT MAX(iddatadai) FROM tb_datadai");
					if ($fila = mysqli_fetch_row($sql_id)) 
					{
						$iddatadai = trim($fila[0]);
						//$id_solicitud++;
					}
					if ($iddatadai>=1)
					{
						
					}
					else
					{
						$iddatadai=1;
					}
			
					$insert_historial = mysqli_query($conn,"INSERT INTO tb_auditoria (fecha, hora, ip, detalle, id_datadai, id_usuario)
					VALUES ('$fecha_actual','$time_actual','$my_ip','$actividad','$iddatadai','$idusuario')");
							
				}
				unlink($archivo);
			}
			
		}
	}
	
	echo '<script> history.back();</script>';
?>
